214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 76 of 91

Holidays on a date

GET/v1/holidays/on

Every country that has a public holiday on the day asked (today when left out), with the holiday's name in English and in the country's own language.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
dateoptionaldate
query
A day (today when left out for holidays, the newest day held for rates)
e.g. 2026-12-25
Request
# Every country with a public holiday on one day
curl "https://api.tourismapi.com/v1/holidays/on" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_d3e1fea092",
        "data_as_of": "2026-10-21T17:42:32Z",
        "count": 3,
        "date": "2026-10-21",
        "weekday": "Wednesday",
        "countries": 3
    },
    "data": [
        {
            "country": "BI",
            "country_name": "Burundi",
            "name": "Commemoration of the Assassination of President Melchior Ndadaye",
            "local_name": "Commémoration de l'Assassinat du Président Melchior Ndadaye",
            "national": true
        },
        {
            "country": "BT",
            "country_name": "Bhutan",
            "name": "Dassain",
            "local_name": "ལྷོ་མཚམས་ད་སའིན་ངལ་གསོ།",
            "national": true
        },
        {
            "country": "NP",
            "country_name": "Nepal",
            "name": "Ekadashi (Dashain)",
            "local_name": "एकादशी (दशैं)",
            "national": true
        }
    ]
}
Response fields
FieldTypeExample
countrystringBI
country_namestringBurundi
namestringCommemoration of the Assassination of President Melchior Ndadaye
local_namestringCommémoration de l'Assassinat du Président Melchior Ndadaye
nationalbooleantrue